sas_end_device_alloc
Prev | Serial Attached SCSI (SAS) transport class | Next

## Name

sas_end_device_alloc — allocate an rphy for an end device

## Synopsis

`struct sas_rphy * sas_end_device_alloc (` | struct sas_port * | parent`)`;

## Arguments

`parent`

  which port

## Description

Allocates an SAS remote PHY structure, connected to `parent`.

## Returns

SAS PHY allocated or `NULL` if the allocation failed.

Prev | Up | Next
sas_port_delete_phy | Home | sas_expander_alloc